class Npm

    def self.global(packages)
        if packages.length > 0
            packages.each do |package|
                puts "Installing #{package} globally"
                fail "Failed to install #{package}" unless system "sudo npm install -g #{package}"
            end
        end
    end

    def self.install
        puts 'Failed to install npm dependencies' unless system 'sudo npm install'
    end

    def self.bower_install
        puts 'Failed to install bower components' unless system 'bower install'
    end

end